<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: *');

if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') exit;

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    //Autenticación y Autorización
    require_once('../../utilidades/FuncionesGlobales.php');
    $headers = getallheaders();
    ValidarAuthControladores($headers);

    //Proceso
    include_once '../../servicios/ServicioRequerimiento.php';

    $data = json_decode(file_get_contents("php://input"), true);

    $servicioRequerimiento = new ServicioRequerimiento();

    $_codigotipopersona = $data['codigotipopersona'];
    $_codigotipodocumento = $data['codigotipodocumento'];
    $_numerotipodocumento = $data['numerotipodocumento'];
    $_nombres = $data['nombres'];
    $_apellidos = $data['apellidos'];
    $_ruc = $data['ruc'];
    $_razonsocial = $data['razonsocial'];
    $_correoelectronico = $data['correoelectronico'];
    $_codigoprefijotelefonico = $data['codigoprefijotelefonico'];
    $_telefono = $data['telefono'];
    $_numeroplacavehiculo = $data['numeroplacavehiculo'];
    $_vinvehiculo = $data['vinvehiculo'];
    $_codigomarcavehiculo = $data['codigomarcavehiculo'];
    $_codigomodelovehiculo = $data['codigomodelovehiculo'];
    $_anovehiculo = $data['anovehiculo'];
    $_codigocolorvehiculo = $data['codigocolorvehiculo'];
    $_usuariocreacion = $data['usuariocreacion'];

    $respuesta = $servicioRequerimiento->crear(
        $_codigotipopersona,
        $_codigotipodocumento,
        $_numerotipodocumento,
        $_nombres,
        $_apellidos,
        $_ruc,
        $_razonsocial,
        $_correoelectronico,
        $_codigoprefijotelefonico,
        $_telefono,
        $_numeroplacavehiculo,
        $_vinvehiculo,
        $_codigomarcavehiculo,
        $_codigomodelovehiculo,
        $_anovehiculo,
        $_codigocolorvehiculo,
        $_usuariocreacion
    );

    echo $respuesta;
} else {
    echo json_encode(
        array('mensaje' => 'Error al consumir el recurso.', 'estado' => false)
    );
}
