<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');
header('Access-Control-Allow-Methods: GET');
header('Access-Control-Allow-Headers: *');

if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') exit;

if ($_SERVER['REQUEST_METHOD'] == 'GET') {
    //Autenticación y Autorización
    require_once('../../utilidades/FuncionesGlobales.php');
    $headers = getallheaders();
    ValidarAuthControladores($headers);

    $fechainicio = $_GET['fechainicio'];
    $fechafin = $_GET['fechafin'];
    $rucempresa = $_GET['rucempresa'];
    $estado = $_GET['estado'];

    //Proceso
    include_once '../../servicios/ServicioRequerimiento.php';
    $servicioRequerimiento = new ServicioRequerimiento();
    $respuesta = $servicioRequerimiento->listarporcodigoestadofechacreacionrucempresa($fechainicio, $fechafin, $rucempresa, $estado);
    echo $respuesta;
} else {
    echo json_encode(
        array('mensaje' => 'Error al consumir el servicio.', 'estado' => false)
    );
}
