<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: *');

if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') exit;

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

    //Proceso
    include_once '../../servicios/ServicioUsuario.php';

    $data = json_decode(file_get_contents("php://input"), true);

    $servicioUsuario = new ServicioUsuario();

    $_nombre = array_key_exists('nombre', $data) ? $data['nombre'] : '';
    $_apellido = array_key_exists('apellido', $data) ? $data['apellido'] : '';
    $_correoelectronico = array_key_exists('correoelectronico', $data) ? $data['correoelectronico'] : '';
    $_celular = array_key_exists('celular', $data) ? $data['celular'] : '';
    $_rucempresa = array_key_exists('rucempresa', $data) ? $data['rucempresa'] : '';
    $_razonsocialempresa = array_key_exists('razonsocialempresa', $data) ? $data['razonsocialempresa'] : '';
    $_contrasenia = array_key_exists('contrasenia', $data) ? $data['contrasenia'] : '';

    $respuesta = $servicioUsuario->crear(
        $_nombre,
        $_apellido,
        $_correoelectronico,
        $_celular,
        $_rucempresa,
        $_razonsocialempresa,
        $_contrasenia
    );

    echo $respuesta;
} else {
    echo json_encode(
        array('mensaje' => 'Error al consumir el recurso.', 'estado' => false)
    );
}
