<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: *');

if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') exit;

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    include_once '../../servicios/ServicioUsuario.php';

    $data = json_decode(file_get_contents("php://input"), true);

    $servicioUsuario = new ServicioUsuario();

    $_correoelectronico = $data['correoelectronico'];
    $_contrasenia = $data['contrasenia'];

    $respuesta = $servicioUsuario->iniciarsesion(
        $_correoelectronico,
        $_contrasenia
    );

    echo $respuesta;
} else {
    echo json_encode(
        array('mensaje' => 'Error al consumir el recurso.', 'estado' => false)
    );
}
