<?php

include_once '../../configuracion/Conexion.php';

class RepositorioModelo
{

    private $conexion;
    private $tabla = 'modelo';

    public $codigomarca;

    //Constructor
    public function __construct()
    {
        // Instanciar conexion BD
        $connection = new Conexion();
        $this->conexion = $connection->conectar();
    }

    public function listarpormarca()
    {
        // Crear query      
        $query = 'SELECT * FROM ' . $this->tabla . ' WHERE codigomarca = :codigomarca';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->codigomarca = htmlspecialchars($this->codigomarca ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigomarca", $this->codigomarca);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }
}
