<?php

include_once '../../configuracion/Conexion.php';

class RepositorioTipoDocumento
{

    private $conexion;
    private $tabla = 'tipodocumento';

    //Constructor
    public function __construct()
    {
        // Instanciar conexion BD
        $connection = new Conexion();
        $this->conexion = $connection->conectar();
    }

    public function listar()
    {
        // Crear query      
        $query = 'SELECT * FROM ' . $this->tabla;

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }
}
