<?php

include_once '../../configuracion/Conexion.php';

class RepositorioUsuario
{

    private $conexion;
    private $tabla = 'usuario';
    /* private $tablausuarioproveedor = 'usuarioproveedor'; */

    public $correoelectronico;
    public $nombre;
    public $apellido;
    public $celular;
    public $rucempresa;
    public $razonsocialempresa;
    public $contrasenia;
    public $ruccorreoelectronico;
    public $codigousuario;
    public $codigorolusuario;

    //Constructor
    public function __construct()
    {
        // Instanciar conexion BD
        $connection = new Conexion();
        $this->conexion = $connection->conectar();
    }

    /* public function listar()
    {
        // Crear query      
        // $query = 'SELECT 
        // codigousuario, 
        // correoelectronico, 
        // nombre, 
        // puesto, 
        // telefono, 
        // estadousuario FROM ' . $this->tabla;
        $query = 'SELECT 
        t1.codigousuario, 
        t1.correoelectronico, 
        t1.nombre, 
        t1.puesto, 
        t1.telefono, 
        t1.estadousuario FROM ' . $this->tabla . " t1 
        INNER JOIN usuariorol t2 ON t2.codigousuario = t1.codigousuario
        GROUP BY t1.codigousuario";

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    } */

    /* public function listarporcodigousuario()
    {
        // Crear query      
        $query = 'SELECT 
        codigousuario, 
        correoelectronico, 
        nombre, 
        puesto, 
        telefono, 
        estadousuario,
        estadocontrasenia FROM ' . $this->tabla . ' WHERE codigousuario = :codigousuario';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }

    public function listarrolusuariosinproveedor()
    {
        // Crear query      
        $query = 'SELECT t1.codigorolusuario, t1.descripcionrolusuario, t2.descripcionperfilusuario 
        FROM rolusuario t1 
        INNER JOIN perfilusuario t2 ON t2.codigoperfilusuario = t1.codigoperfilusuario 
        WHERE t1.codigorolusuario != 2 AND t1.codigorolusuario !=6';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }

    public function listarusuariosprobadores()
    {
        // Crear query      
        $query = 'SELECT 
        t1.codigousuario, 
        t1.correoelectronico, 
        t1.nombre 
        FROM ' . $this->tabla . ' t1 
        INNER JOIN usuariorol t2 ON t1.codigousuario = t2.codigousuario 
        INNER JOIN rolusuario t3 ON t2.codigorolusuario = t3.codigorolusuario 
        WHERE t3.codigorolusuario = 5 OR t3.codigorolusuario = 7 
        AND t1.estadousuario = 1
        ORDER BY t1.codigousuario ASC';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    } */

    public function buscarporcorreoelectronico()
    {
        // Crear query      
        $query = 'SELECT * FROM ' . $this->tabla . ' WHERE correoelectronico = :correoelectronico';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->correoelectronico = htmlspecialchars($this->correoelectronico ?? '');

        // Bindear propiedades
        $stmt->bindParam(":correoelectronico", $this->correoelectronico);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }
    /* public function buscarporcorreoelectronicotablaproveedor()
    {
        // Crear query      
        $query = 'SELECT * FROM proveedor WHERE correoelectronico = :correoelectronico';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->correoelectronico = htmlspecialchars($this->correoelectronico ?? '');

        // Bindear propiedades
        $stmt->bindParam(":correoelectronico", $this->correoelectronico);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }
    public function buscarporcorreoelectronicosociedades()
    {
        // Crear query      
        $query = 'SELECT 
        t1.codigousuario,
        t1.correoelectronico,
        t1.contrasenia,
        t1.nombre,
        t1.puesto,
        t2.codigosociedad,
        t3.descripcionsociedad,
        t3.nif as nifsociedad
        FROM ' . $this->tabla . ' t1
        INNER JOIN sociedadusuario t2 ON t1.codigousuario = t2.codigousuario
        INNER JOIN sociedad t3 ON t2.codigosociedad = t3.codigosociedad
        WHERE t1.correoelectronico = :correoelectronico';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->correoelectronico = htmlspecialchars($this->correoelectronico ?? '');

        // Bindear propiedades
        $stmt->bindParam(":correoelectronico", $this->correoelectronico);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }
    public function buscarporcodigoproveedor()
    {
        // Crear query      
        $query = 'SELECT codigousuario
        FROM ' . $this->tablausuarioproveedor . "
        WHERE codigoproveedor = :codigoproveedor";

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->codigoproveedor = htmlspecialchars($this->codigoproveedor ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigoproveedor", $this->codigoproveedor);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }
    public function buscarporcorreoelectronicoproveedor()
    {
        // Crear query      
        $query = 'SELECT t1.codigousuario, t1.correoelectronico, t1.nombre, t1.contrasenia, t2.codigoproveedor, t3.codigosociedad, t4.descripcionsociedad, t4.nif AS nifsociedad, t5.nif
        FROM ' . $this->tabla . " t1 
        INNER JOIN usuarioproveedor t2 ON t1.codigousuario = t2.codigousuario 
        INNER JOIN sociedadproveedor t3 ON t2.codigoproveedor = t3.codigoproveedor
        INNER JOIN sociedad t4 ON t3.codigosociedad = t4.codigosociedad
        INNER JOIN proveedor t5 ON t2.codigoproveedor = t5.codigoproveedor
        WHERE t1.correoelectronico = :correoelectronico";

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->correoelectronico = htmlspecialchars($this->correoelectronico ?? '');

        // Bindear propiedades
        $stmt->bindParam(":correoelectronico", $this->correoelectronico);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    } */

    public function crear()
    {
        // Crear query  
        $query = 'INSERT INTO ' . $this->tabla . "(
        nombre,
        apellido,
        correoelectronico,
        celular,
        rucempresa,
        razonsocialempresa,
        contrasenia,
        estadocontrasenia,
        estadousuario) 
        VALUES (
        :nombre,
        :apellido,
        :correoelectronico,
        :celular,
        :rucempresa,
        :razonsocialempresa,
        :contrasenia, 1, 1)";

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->nombre = htmlspecialchars($this->nombre ?? '');
        $this->apellido = htmlspecialchars($this->apellido ?? '');
        $this->correoelectronico = htmlspecialchars($this->correoelectronico ?? '');
        $this->celular = htmlspecialchars($this->celular ?? '');
        $this->rucempresa = htmlspecialchars($this->rucempresa ?? '');
        $this->razonsocialempresa = htmlspecialchars($this->razonsocialempresa ?? '');
        $this->contrasenia = htmlspecialchars($this->contrasenia ?? '');

        // Bindear propiedades
        $stmt->bindParam(":nombre", $this->nombre);
        $stmt->bindParam(":apellido", $this->apellido);
        $stmt->bindParam(":correoelectronico", $this->correoelectronico);
        $stmt->bindParam(":celular", $this->celular);
        $stmt->bindParam(":rucempresa", $this->rucempresa);
        $stmt->bindParam(":razonsocialempresa", $this->razonsocialempresa);
        $stmt->bindParam(":contrasenia", $this->contrasenia);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return $this->conexion->lastInsertId();
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    }

    public function restablecercontrasenia()
    {
        // Crear query  
        $query = 'UPDATE ' . $this->tabla . ' SET contrasenia = :contrasenia, 
        estadocontrasenia = 0 
        WHERE codigousuario = :codigousuario';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');
        $this->contrasenia = htmlspecialchars($this->contrasenia ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);
        $stmt->bindParam(":contrasenia", $this->contrasenia);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    }

    /* public function actualizar()
    {
        // Crear query  
        $query = 'UPDATE ' . $this->tabla . ' SET correoelectronico = :correoelectronico, 
        nombre = :nombre, 
        puesto = :puesto, 
        telefono = :telefono 
        WHERE codigousuario = :codigousuario';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');
        $this->correoelectronico = htmlspecialchars($this->correoelectronico ?? '');
        $this->nombre = htmlspecialchars($this->nombre ?? '');
        $this->puesto = htmlspecialchars($this->puesto ?? '');
        $this->telefono = htmlspecialchars($this->telefono ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);
        $stmt->bindParam(":correoelectronico", $this->correoelectronico);
        $stmt->bindParam(":nombre", $this->nombre);
        $stmt->bindParam(":puesto", $this->puesto);
        $stmt->bindParam(":telefono", $this->telefono);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    } */

    /* public function actualizarcorreoproveedor()
    {
        // Crear query  
        $query = 'UPDATE proveedor SET correoelectronico = :correoelectronico 
        WHERE codigoproveedor = :codigoproveedor';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigoproveedor ?? '');
        $this->correoelectronico = htmlspecialchars($this->correoelectronico ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigoproveedor", $this->codigoproveedor);
        $stmt->bindParam(":correoelectronico", $this->correoelectronico);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    } */

    /* 

    public function actualizarcontrasenia()
    {
        // Crear query  
        $query = 'UPDATE ' . $this->tabla . ' SET contrasenia = :contrasenia, 
        estadocontrasenia = 1
        WHERE codigousuario = :codigousuario';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? 0);
        $this->contrasenia = htmlspecialchars($this->contrasenia ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);
        $stmt->bindParam(":contrasenia", $this->contrasenia);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    } */

    /* public function crearusuarioproveedor()
    {
        // Crear query  
        $query = 'INSERT INTO usuarioproveedor(codigousuario, codigoproveedor) 
        VALUES (:codigousuario, :codigoproveedor)';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');
        $this->codigoproveedor = htmlspecialchars($this->codigoproveedor ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);
        $stmt->bindParam(":codigoproveedor", $this->codigoproveedor);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    } */

    /* public function crearsociedadusuario()
    {
        // Crear query  
        $query = 'INSERT INTO sociedadusuario(codigosociedad, codigousuario) 
        VALUES (:codigosociedad, :codigousuario)';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigosociedad = htmlspecialchars($this->codigosociedad ?? '');
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigosociedad", $this->codigosociedad);
        $stmt->bindParam(":codigousuario", $this->codigousuario);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    } */
    public function buscarrolesporusuario()
    {
        // Crear query      
        $query = 'SELECT t1.codigorolusuario, t2.descripcionrolusuario
        FROM usuariorol t1
        INNER JOIN rolusuario t2 ON t1.codigorolusuario = t2.codigorolusuario
        WHERE t1.codigousuario = :codigousuario';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }
    public function crearusuariorol()
    {
        // Crear query  
        $query = 'INSERT INTO usuariorol(codigousuario, codigorolusuario) 
        VALUES (:codigousuario, :codigorolusuario)';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');
        $this->codigorolusuario = htmlspecialchars($this->codigorolusuario ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);
        $stmt->bindParam(":codigorolusuario", $this->codigorolusuario);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    }
    /* public function buscarsociedadesporusuario()
    {
        // Crear query      
        $query = 'SELECT t1.codigosociedad, t2.descripcionsociedad
        FROM sociedadusuario t1
        INNER JOIN sociedad t2 ON t1.codigosociedad = t2.codigosociedad  
        WHERE t1.codigousuario = :codigousuario';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }
    public function buscarsociedadesporusuarioproveedor()
    {
        // Crear query      
        $query = 'SELECT t1.codigosociedad, t2.descripcionsociedad
        FROM sociedadproveedor t1
        INNER JOIN sociedad t2 ON t1.codigosociedad = t2.codigosociedad
        INNER JOIN usuarioproveedor t3 ON t1.codigoproveedor = t3.codigoproveedor
        WHERE t3.codigousuario = :codigousuario';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }
    public function buscarprocesosporusuarioprimernivel()
    {
        // Crear query      
        $query = 'SELECT t2.codigoproceso, t3.descripcionproceso
        FROM usuariorol t1
        INNER JOIN procesorolsuario t2 ON t1.codigorolusuario = t2.codigorolusuario
        INNER JOIN proceso t3 ON t2.codigoproceso = t3.codigoproceso
        WHERE t1.codigousuario = :codigousuario AND t3.nivelproceso = 1
        GROUP BY t2.codigoproceso
        ORDER BY t3.ordenproceso ASC';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }
    public function buscarprocesosporusuariosegundonivel()
    {
        // Crear query      
        $query = 'SELECT t3.descripcionproceso, t3.iconoproceso, t3.rutaproceso
        FROM usuariorol t1
        INNER JOIN procesorolsuario t2 ON t1.codigorolusuario = t2.codigorolusuario
        INNER JOIN proceso t3 ON t2.codigoproceso = t3.codigoproceso
        WHERE t1.codigousuario = :codigousuario AND t3.nivelproceso = 2 AND t3.codigoprocesopadre = :codigoprocesopadre
        GROUP BY t2.codigoproceso';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');
        $this->codigoprocesopadre = htmlspecialchars($this->codigoprocesopadre ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);
        $stmt->bindParam(":codigoprocesopadre", $this->codigoprocesopadre);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    } */

    public function validarToken()
    {
        // Crear query      
        $query = 'SELECT * FROM ' . $this->tabla . ' WHERE codigousuario = :codigousuario 
        AND correoelectronico = :ruccorreoelectronico';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query, array(PDO::ATTR_CURSOR => PDO::CURSOR_SCROLL));

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');
        $this->ruccorreoelectronico = htmlspecialchars($this->ruccorreoelectronico ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);
        $stmt->bindParam(":ruccorreoelectronico", $this->ruccorreoelectronico);

        // Ejecutar setencia y enviar resultado
        $stmt->execute();
        return $stmt;
    }

    /* public function eliminarusuariorol()
    {
        // Crear query  
        $query = 'DELETE FROM usuariorol 
        WHERE codigousuario = :codigousuario';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    }

    public function eliminasociedadusuario()
    {
        // Crear query  
        $query = 'DELETE FROM sociedadusuario 
        WHERE codigousuario = :codigousuario';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    }

    public function eliminarusuario()
    {
        // Crear query  
        $query = 'DELETE FROM ' . $this->tabla . ' 
        WHERE codigousuario = :codigousuario';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    }

    public function eliminarusuarioproveedor()
    {
        // Crear query  
        $query = 'DELETE FROM ' . $this->tablausuarioproveedor . ' 
        WHERE codigousuario = :codigousuario';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    }

    public function eliminarusuarioproveedorporcodigoproveedor()
    {
        // Crear query  
        $query = 'DELETE FROM ' . $this->tablausuarioproveedor . ' 
        WHERE codigoproveedor = :codigoproveedor';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigoproveedor = htmlspecialchars($this->codigoproveedor ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigoproveedor", $this->codigoproveedor);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    }

    public function eliminar()
    {
        // Crear query  
        $query = 'UPDATE ' . $this->tabla . ' SET estadousuario = 0 
        WHERE codigousuario = :codigousuario';

        // Preparar setencia
        $stmt = $this->conexion->prepare($query);

        // Limpiar propiedades
        $this->codigousuario = htmlspecialchars($this->codigousuario ?? '');

        // Bindear propiedades
        $stmt->bindParam(":codigousuario", $this->codigousuario);

        // Ejecutar setencia y enviar resultado
        if ($stmt->execute()) {
            return true;
        }

        printf("Error $s.\n", $stmt->error);
        return false;
    } */
}
