<?php

include_once '../../infraestructura/MySQL/RepositorioMarca.php';

class ServicioMarca
{
    private $_repositorioMarca;

    //Construct
    public function __construct()
    {
        $this->_repositorioMarca = new RepositorioMarca();
    }

    public function listar()
    {
        // Ejecutar la funcion del repositorio
        $resultado = $this->_repositorioMarca->listar();

        // Conteo de filas
        $numerofilas = $resultado->rowCount();

        if ($numerofilas > 0) {
            $array_completo = array();

            while ($row = $resultado->fetch(PDO::FETCH_ASSOC)) {
                extract($row);

                $array_row = array(
                    'codigomarca' => $codigomarca,
                    'descripcionmarca' => $descripcionmarca
                );

                // Insertar fila al array
                array_push($array_completo, $array_row);
            }

            // Crear respueta
            $respuesta = json_encode($array_completo);
        } else {
            $respuesta = json_encode(
                array('mensaje' => 'No se encontró información.', 'estado' => false)
            );
        }

        return $respuesta;
    }
}
