<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');
header('Access-Control-Allow-Methods: PUT');
header('Access-Control-Allow-Headers: *');

if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') exit;

if ($_SERVER['REQUEST_METHOD'] == 'PUT') {

    $evalauth = isset($_GET['evalauth']) ? $_GET['evalauth'] : 1;

    if ($evalauth == 1) {
        //Autenticación y Autorización
        require_once('../../utilidades/FuncionesGlobales.php');
        $headers = getallheaders();
        ValidarAuthControladores($headers);
    }

    //Proceso
    include_once '../../servicios/ServicioRequerimiento.php';

    $data = json_decode(file_get_contents("php://input"), true);

    $servicioRequerimiento = new ServicioRequerimiento();

    $_codigorequerimiento = $data['codigorequerimiento'];
    $_codigoestado = $data['codigoestado'];
    $_codigousuario = $data['codigousuario'];

    $respuesta = $servicioRequerimiento->actualizarestado(
        $_codigorequerimiento,
        $_codigoestado,
        $_codigousuario
    );

    echo $respuesta;
} else {
    echo json_encode(
        array('mensaje' => 'Error al consumir el recurso.', 'estado' => false)
    );
}
