<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');
header('Access-Control-Allow-Methods: POST');
header('Access-Control-Allow-Headers: *');

if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') exit;

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    //Autenticación y Autorización
    require_once('../../utilidades/FuncionesGlobales.php');
    $headers = getallheaders();
    ValidarAuthControladores($headers);

    //Proceso
    include_once '../../servicios/ServicioRequerimiento.php';

    $requerimientos = json_decode(file_get_contents("php://input"), true);

    $servicioRequerimiento = new ServicioRequerimiento();

    $usuariocreacion = $_GET['usuariocreacion'];

    $respuesta = $servicioRequerimiento->crearmasivo(
        $requerimientos,
        $usuariocreacion
    );

    echo $respuesta;
} else {
    echo json_encode(
        array('mensaje' => 'Error al consumir el recurso.', 'estado' => false)
    );
}
