<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');
header('Access-Control-Allow-Methods: GET');
header('Access-Control-Allow-Headers: *');

if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') exit;

if ($_SERVER['REQUEST_METHOD'] == 'GET') {

    $evalauth = isset($_GET['evalauth']) ? $_GET['evalauth'] : 1;

    if ($evalauth == 1) {
        //Autenticación y Autorización
        require_once('../../utilidades/FuncionesGlobales.php');
        $headers = getallheaders();
        ValidarAuthControladores($headers);
    }

    $codigorequerimiento = $_GET['codigorequerimiento'];

    //Proceso
    include_once '../../servicios/ServicioRequerimiento.php';
    $servicioRequerimiento = new ServicioRequerimiento();
    $datos = $servicioRequerimiento->listarporcodigo($codigorequerimiento);
    $datos = json_decode($datos);

    if ($datos->estado == true) {

        $documento = generarDocumentoRequerimiento($datos);

        echo base64_encode($documento);
        /* echo $documento; */
    } else {
        echo json_encode(
            array('mensaje' => 'Error al consumir el servicio.', 'estado' => false)
        );
    }
} else {
    echo json_encode(
        array('mensaje' => 'Error al consumir el servicio.', 'estado' => false)
    );
}
