<?php
header('Access-Control-Allow-Origin: *');
header('Content-Type: application/json');
header('Access-Control-Allow-Methods: GET');
header('Access-Control-Allow-Headers: *');

if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') exit;

if ($_SERVER['REQUEST_METHOD'] == 'GET') {

    $evalauth = isset($_GET['evalauth']) ? $_GET['evalauth'] : 1;

    if ($evalauth == 1) {
        //Autenticación y Autorización
        require_once('../../utilidades/FuncionesGlobales.php');
        $headers = getallheaders();
        ValidarAuthControladores($headers);
    }

    $requerimiento = $_GET['requerimiento'];
    $zona = $_GET['zona'];
    $tipoinventario = $_GET['tipoinventario'];

    //Proceso
    include_once '../../servicios/ServicioRequerimiento.php';
    $servicioRequerimiento = new ServicioRequerimiento();
    $respuesta = $servicioRequerimiento->listarinventarioporrequerimientozonatipoinventario($requerimiento, $zona, $tipoinventario);
    echo $respuesta;
} else {
    echo json_encode(
        array('mensaje' => 'Error al consumir el servicio.', 'estado' => false)
    );
}
