<?php

include_once '../../infraestructura/MySQL/RepositorioColor.php';

class ServicioColor
{
    private $_repositorioColor;

    //Construct
    public function __construct()
    {
        $this->_repositorioColor = new RepositorioColor();
    }

    public function listar()
    {
        // Ejecutar la funcion del repositorio
        $resultado = $this->_repositorioColor->listar();

        // Conteo de filas
        $numerofilas = $resultado->rowCount();

        if ($numerofilas > 0) {
            $array_completo = array();

            while ($row = $resultado->fetch(PDO::FETCH_ASSOC)) {
                extract($row);

                $array_row = array(
                    'codigocolor' => $codigocolor,
                    'descripcioncolor' => $descripcioncolor
                );

                // Insertar fila al array
                array_push($array_completo, $array_row);
            }

            // Crear respueta
            $respuesta = json_encode($array_completo);
        } else {
            $respuesta = json_encode(
                array('mensaje' => 'No se encontró información.', 'estado' => false)
            );
        }

        return $respuesta;
    }
}
