<?php

include_once '../../infraestructura/MySQL/RepositorioModelo.php';

class ServicioModelo
{
    private $_repositorioModelo;

    //Construct
    public function __construct()
    {
        $this->_repositorioModelo = new RepositorioModelo();
    }

    public function listarpormarca($codigomarca)
    {
        $this->_repositorioModelo->codigomarca = $codigomarca;

        // Ejecutar la funcion del repositorio
        $resultado = $this->_repositorioModelo->listarpormarca();

        // Conteo de filas
        $numerofilas = $resultado->rowCount();

        if ($numerofilas > 0) {
            $array_completo = array();

            while ($row = $resultado->fetch(PDO::FETCH_ASSOC)) {
                extract($row);

                $array_row = array(
                    'codigomarca' => $codigomarca,
                    'codigomodelo' => $codigomodelo,
                    'descripcionmodelo' => $descripcionmodelo
                );

                // Insertar fila al array
                array_push($array_completo, $array_row);
            }

            // Crear respueta
            $respuesta = json_encode($array_completo);
        } else {
            $respuesta = json_encode(
                array('mensaje' => 'No se encontró información.', 'estado' => false)
            );
        }

        return $respuesta;
    }
}
