<?php

include_once '../../infraestructura/MySQL/RepositorioPrefijoTelefonico.php';

class ServicioPrefijoTelefonico
{
    private $_repositorioPrefijoTelefonico;

    //Construct
    public function __construct()
    {
        $this->_repositorioPrefijoTelefonico = new RepositorioPrefijoTelefonico();
    }

    public function listar()
    {
        // Ejecutar la funcion del repositorio
        $resultado = $this->_repositorioPrefijoTelefonico->listar();

        // Conteo de filas
        $numerofilas = $resultado->rowCount();

        if ($numerofilas > 0) {
            $array_completo = array();

            while ($row = $resultado->fetch(PDO::FETCH_ASSOC)) {
                extract($row);

                $array_row = array(
                    'codigoprefijotelefonico' => $codigoprefijotelefonico,
                    'descripcionprefijotelefonico' => $descripcionprefijotelefonico,
                    'iconoprefijotelefonico' => $iconoprefijotelefonico
                );

                // Insertar fila al array
                array_push($array_completo, $array_row);
            }

            // Crear respueta
            $respuesta = json_encode($array_completo);
        } else {
            $respuesta = json_encode(
                array('mensaje' => 'No se encontró información.', 'estado' => false)
            );
        }

        return $respuesta;
    }
}
